%define module  CGI-Session
%define name	perl-%{module}
%define version 4.14
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary: 	Persistent session data in CGI applications
License: 	GPL or Artistic
Group: 		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/CGI/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(CGI)
BuildRequires:  perl(DBI)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(FreezeThaw)
BuildRequires:  perl(CGI::Simple)
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
CGI-Session is a Perl5 library that provides an easy, reliable and
modular session management system across HTTP requests. Persistency is a
key feature for such applications as shopping carts,
login/authentication routines, and application that need to carry data
accross HTTP requests. CGI::Session does that and many more 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f  t/g4_mysql.t # no database available for testing
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README INSTALL
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog
* Mon Jul 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.14-1mdv2007.0
- new version

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.13-1mdk
- New release 4.13

* Sat Apr 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.12-1mdk
- New version
- better summary
- better source URL
- better buildrequires syntax

* Thu Mar 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.10-1mdk
- New release 4.10

* Sat Mar 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.09-1mdk
- New release 4.09

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.08-1mdk
- 4.08

* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 4.03-3mdk
- fix deps

* Fri Oct 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.03-2mdk
- Fix BuildRequires
- %%mkrel 

* Thu Oct 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.03-1mdk
- New release 4.03

* Tue Sep 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.02-1mdk
- New release 4.02
- spec cleanup
- tests
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.95-4mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.95-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.95-2mdk
- fixed dir ownership (distlint)

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 3.95-1mdk
- 3.95.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 3.93-5mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 3.93-4mdk
- Use %%makeinstall

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 3.93-3mdk
- fix man path
- macroification
- rm buildroot in %%install not %%prep
- unpackaged perllocal.pod

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.93-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 3.93-1mdk
- 3.93.

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.9-2mdk
- rebuild

* Sat Dec 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.9-1mdk
- first mdk release
